<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.vcdevice.mapper.VideoCloudAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="videoCloudAccountResultMap" type="org.springblade.smartapplication.vcdevice.entity.VideoCloudAccount">
        <id column="id" property="id"/>
        <result column="account_id" property="accountId"/>
        <result column="account_name" property="accountName"/>
        <result column="city_code" property="cityCode"/>
        <result column="city_name" property="cityName"/>
        <result column="country_code" property="countryCode"/>
        <result column="country_name" property="countryName"/>
        <result column="email" property="email"/>
        <result column="is_as_user" property="isAsUser"/>
        <result column="last_login_time_string" property="lastLoginTimeString"/>
        <result column="mobile" property="mobile"/>
        <result column="org_code" property="orgCode"/>
        <result column="org_name" property="orgName"/>
        <result column="province_code" property="provinceCode"/>
        <result column="province_name" property="provinceName"/>
        <result column="qq" property="qq"/>
        <result column="real_name" property="realName"/>
        <result column="sex" property="sex"/>
        <result column="user_pwd" property="userPwd"/>
        <result column="token" property="token"/>
        <result column="pwd" property="pwd"/>
        <result column="app_key" property="appKey"/>
        <result column="name" property="name"/>
    </resultMap>


    <select id="selectVideoCloudAccountPage" resultMap="videoCloudAccountResultMap">
        select * from yc_video_cloud_account where is_deleted = 0
    </select>

</mapper>
